<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="RoleList.aspx.vb" Inherits="Dingtai.Website.RoleList" %>

<%@ Register src="../../App_Data/Controls/PageControl.ascx" tagname="PageControl" tagprefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>鼎太播客 &gt; 后台管理 &gt; 角色管理列表</title>
</head>
<body onload="setTableBg();">
    <form id="form1" runat="server">
    <div id="body">
        <div id="title">                
            <h5>您现在的位置：<a href="#" target="_self">后台管理</a> &gt; 角色管理列表</h5>
        </div>
        <div id="box">
            <div id="an_box">
                <ul>
                 <li><a href ="RoleAdd.aspx"><img alt="" src="/Skins/default/images/an_d0.gif" /></a></li>
                    <li><a href ="#" ><div class="qx" alt="全选" onclick="SelectAll();" /></a> </li>
                    <li><a href ="#" ><div class="fx" alt="反选" onclick="Inverse();" /></a> </li>
                    <li><a href ="#" ><div class="dels" alt="批量删除"  onclick="delMedias();"/></a> </li>
                </ul> 
            </div>
      </div>
        <div class="body_box"  id="body_box">
            <asp:Repeater ID="Repeater1" runat="server">
               <HeaderTemplate >
                    <table id="t" class="table_bg" onclick="clickto()" onmousemove="fmove()" onmouseout="fout()" >
                        <tr class="table_border">
                        <th>选择</th>
                        <th>用户名称</th>
                        <th>系统角色</th>                        
                        <th>操作</th>
                        </tr>
               </HeaderTemplate>
               <ItemTemplate >                                  
                        <tr  class="table_border2">
                        <td align ="center"><input type="checkbox" name="checkboxid" id="checkboxid" value="<%#Eval("ID") %>" /></td>
                        <td align ="center"><%#Eval("RoleName")%></td>          
                        <td align ="center"><asp:Label ID="LblIsSys" runat="server"></asp:Label></td>     
                        <td align ="center">                            
                            <a href="RoleUpdate.aspx?ID=<%#Eval("ID") %>" ><img alt="编辑" src="/Skins/default/images/box_an9.gif"/></a>
                             <a href="#" onclick="delRole('<%#Eval("ID") %>');" ><img alt="删除" src="/Skins/default/images/box_an6.gif"/></a>                            
                        </td>
                        </tr>
               </ItemTemplate>
               <FooterTemplate>
                   </table>
               </FooterTemplate>
           </asp:Repeater>
           <uc1:PageControl ID="Page2" runat="server" ShowFirstLast="true" ShowPrevNext="true" 
            FirstPageText="首 页" LastPageText="末 页" PrevPageText="上一页" NextPageText="下一页" AlwaysShow="true" 
            ShowCustomInfoSec="left" NumericButtonCount="5" PagingButtonSpacing="25px" 
            CustomInfoHTML="当前 %CurrentPageIndex% 页 共 %PageCount% 页" />
        </div>
    </div>
    </form>
</body>
<script type = "text/javascript" language = "javascript">
    function delRole(id){
//        M("aaa","body_box");
//        return;
        if (id == "") {
            M1("无参数传递!");
            return;
        }
        if (C("确认删除此角色?") == false)
        {
            return;
        }
        var ret = RoleList.DelRole(id).value;
        if (ret == true)
        {
            M1("Success!");
            refreshPage(0);  
        }
    }
    function delRoles(){
        var ids = "";
        for (var i=0;i<document.form1.checkboxid.length;i++) {
            var e=document.form1.checkboxid[i];
            if ( e.checked) {
                ids = ids + e.value + ","
            }
        }        
        if (ids == ""){
            M1("请选择需要删除的角色!");
            return;
        }
        if (C("确认删除这些角色?") == false)
        {
            return;
        }
        if (ids != "" && ids.lastIndexOf(",") == ids.length -1 ){
            ids = ids.substring(0,ids.length - 1)
        }
        
        ids = ids.split(",");
//        alert(ids);
        var ret = RoleList.DelRoles(ids).value;
        if (ret == true)
        {
            M1("Success!");            
            refreshPage(0);  
        }
        else{
            M1("Faild!");            
        }        
    }
    
</Script>
</html>
